---
Name: Qualimap
URL: http://qualimap.bioinfo.cipf.es/
Description: >
    Qualimap is a platform-independent application to facilitate the quality
    control of alignment sequencing data and its derivatives like feature
    counts.
---

The Qualimap module parses results generated by
[Qualimap](http://qualimap.bioinfo.cipf.es/),
a platform-independent application to facilitate the quality
control of alignment sequencing data and its derivatives like feature
counts.

The MultiQC module supports the Qualimap commands `BamQC` and `RNASeq`.
Note that Qualimap must be run with the `-outdir` option as well as
`-outformat HTML` (which is on by default). MultiQC uses files
found within the `raw_data_qualimapReport` folder (as well as `genome_results.txt`).

It is possible to customise which coverage thresholds are shown from BamQC in
the General Statistics table _(default: 1, 5, 10, 30, 50)_ and which
of these are hidden when the report loads _(default: all except 30X)_.

To do this, add something like the following to your MultiQC config file:
```yaml
qualimap_config:
    general_stats_coverage:
        - 10
        - 20
        - 40
        - 200
        - 30000
    general_stats_coverage_hidden:
        - 10
        - 20
        - 200
```
